<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.mq.mapper.abnormal.FhzgOperationAbnormalitySwitchingSequenceMapper">

    <resultMap id="BaseResultMap"
               type="com.hdkj.lt.core.bizms.modle.po.operationAbnormality.FhzgOperationAbnormalitySwitchingSequence">
        <id property="id" column="id" jdbcType="BIGINT"/>
        <result property="oaId" column="oa_id" jdbcType="BIGINT"/>
        <result property="switchingSeq" column="switching_seq" jdbcType="TINYINT"/>
        <result property="switchId" column="switch_id" jdbcType="VARCHAR"/>
        <result property="switchName" column="switch_name" jdbcType="VARCHAR"/>
        <result property="isAutoSwitch" column="is_auto_switch" jdbcType="VARCHAR"/>
        <result property="operationType" column="operation_type" jdbcType="VARCHAR"/>
        <result property="operationTime" column="operation_time" jdbcType="TIMESTAMP"/>
        <result property="creator" column="creator" jdbcType="BIGINT"/>
        <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
        <result property="lastEditor" column="last_editor" jdbcType="BIGINT"/>
        <result property="lastTime" column="last_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id
        ,oa_id,switching_seq,
        switch_id,switch_name,is_auto_switch,
        operation_type,operation_time,creator,
        create_time,last_editor,last_time
    </sql>
</mapper>
